gsasl_nonce(3)

NAME
gsasl_nonce - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_nonce(char * data, size_t datalen);

ARGUMENTS

char * data
    output array to be filled with unpredictable random data.

size_t datalen
    size of output array.

DESCRIPTION
Store unpredictable data of given size in the provided buffer.

Return value: Returns GSASL_OK iff successful.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2025 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/